/**
 * api
 * GIC卡券
 */
import getFetch from './get-fetch.js';
import config, { welfarePrefix } from '@/config';


// 卡券相关接口
let card = {
  cardList: '/coupon/coupon-page', // 卡券列表
  addCard: {
    // 新增卡券
    url: '/coupon/save-coupon',
    method: 'post',
    useFormData: true,
  },
  updateCard: {
    // 修改卡券
    url: '/coupon/edit-coupon',
    method: 'post',
    useFormData: true,
  },
  copyCard: '/coupon/copy-coupon',  // 拷贝卡券
  cardInfo: '/coupon/coupon-detail', // 卡券详情
  updateCardStock: '/coupon/update-coupon-stock', // 修改库存
  deleteCard: '/coupon/delete-coupon', // 删除卡券
  disableCard: '/coupon/disable-coupon', // 禁用卡券
  couponLogPage: '/coupon/coupon-log-page', // 卡券领取列表
  giveLogList: '/coupon/coupon-give-log-page', // 卡券转赠记录
  groupSendAdd: {
    // 新建投放 TODO:
    url: '/coupon/coupon-puton',
    method: 'post',
    useFormData: true,
  },
  codeErrorList: '/gic-coupon-code-error-page', // 查询导入券券码错误列表 TODO:
  checkDemoCode: {
    // 根据demo code TODO:
    url: '/coupon/check-demo-code',
    alertError: false
  },
  cardDestoryList: '/destroy-plugin/page-destroy-plan', // 卡券销毁分页列表 TODO:
  saveCoupDestoryPlan: {
    // 保存卡券销毁 TODO:
    url: '/destroy-plugin/save-destroy-plan',
    method: 'post',
    useFormData: true,
  },
  couponlogList: '/coupon/coupon-log-page', // 会员领取记录 TODO:
  couponConsumeOrder: '/coupon/coupon-consume-order', // 核销 - 订单信息 TODO:
  couponConsume: '/coupon/coupon-consume', // 核销 - 核销 TODO:
  couponDestroy: '/coupon/coupon-destroy', // 销毁 TODO:
};


card = getFetch(card, welfarePrefix);

export default { ...card };


export const downloadCouponCSV = config.api + welfarePrefix + '/download-code-csv-template'; // 下载导入GIC券号csv示例文件  TODO:
export const importCode = config.api + welfarePrefix + '/import-gic-custom-code'; // 导入券码 TODO:
export const importDestoryCode = welfarePrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表 TODO:
export const downloadDestroyCodeTemplate = config.api + welfarePrefix + '/destroy-plugin/download-destroy-code-template'; // 下载销毁模板示例 TODO:

